import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["type", "size", "darker", "className"];
import * as React from 'react';
import classNames from 'classnames';
import SubjectIcon, { TYPE, SIZE } from './SubjectIcon';

var SubjectIconBox = function SubjectIconBox(_ref) {
  var type = _ref.type,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? SIZE.NORMAL : _ref$size,
      darker = _ref.darker,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, _excluded);

  var boxClass = classNames('sg-subject-icon-box', {
    'sg-subject-icon-box--darker': darker
  }, className);
  return /*#__PURE__*/React.createElement("div", _extends({}, props, {
    className: boxClass
  }), /*#__PURE__*/React.createElement(SubjectIcon, {
    type: type,
    size: size
  }));
};

export default SubjectIconBox;
export { TYPE, SIZE };